## org.eclipse.jetty.security
Class RoleRunAsToken

    java.lang.Object
      org.eclipse.jetty.security.RoleRunAsToken

All Implemented Interfaces:
  RunAsToken

    public class RoleRunAsToken

extends Object
implements RunAsToken

Version:
  $Rev: 4701 $ $Date: 2009-03-03 13:01:26 +0100 (Tue, 03 Mar 2009) $

Constructor Summary
`RoleRunAsToken(String runAsRole)`

Method Summary
`String` `getRunAsRole()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoleRunAsToken

    public RoleRunAsToken(String runAsRole)

Method Detail

### getRunAsRole

    public String getRunAsRole()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.